Subject: Re: Alternates and push

From: Theodore Tso <[email-masked]>
Date: Sun, 7 Sep 2008 20:41:37 -0400

On Sun, Sep 07, 2008 at 05:02:05PM -0700, Junio C Hamano wrote:
> 
> I think you just reiterated what I said in "we could instead", and I think
> we are in agreement.
> 

Sorry, I misunderstood what you were saying.  I thought you were
proposing that if $D/refs didn't exist, then if alternates pointed at
$D/objects, git would reject using it.  But that makes no sense, which
is why I didn't understand why you proposed it.  (Turns out I
misunderstood you.  :-)

> The arguments to make are "Junio is worrying too much; depending on the
> other repository's ref is no worse than depending on the objects the other
> repository uses, and here is a proof that it is not just 'not a big deal'
> but 'no problem at all'", "I've polled the userbase and there is no
> existing configuration that will be broken by this change", and "I have
> this configuration that will be broken by above change, don't do it".

So the only configuration I can think of that would be broken by this
is where $D/refs exists, but is insane.  (i.e., such that git fsck for
$D would result in errors).  That seems pretty unlikely...

   	 	   	     	  	       - Ted